%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonas
#  cvs login
#  cvs export emb-jonas

#  cvs -z3 -d ':pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonas' co emb-jonas

%define cvs_version     20051006
%define release         0.%{cvs_version}.1jpp_3rh

Name:     objectweb-emb
Summary:  Implementation of the JSR086 (Enterprise Media Beans) by ObjectWeb
Version:  1.0.2
Release:  %{release}
Epoch:	  0

URL: 		http://jonas.objectweb.org
License: 	LGPL
Group: 		Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0: 	emb-jonas-%{version}.tgz

BuildRequires:	jpackage-utils
BuildRequires:	ant
#BuildRequires:	ant-nodeps
#BuildRequires:	objectweb-anttask
BuildRequires:	batik >= 1.5
BuildRequires:	rhino >= 1.5
BuildRequires:	fop >= 0.20.5
BuildRequires:	xerces-j2 >= 2.5.0
BuildRequires:	xml-commons-apis >= 1.0
BuildRequires:	geronimo-j2ee-connector-1.5-api
BuildRequires:	geronimo-ejb-2.1-api
BuildRequires:	tomcat5-servlet-2.4-api
Requires:	batik >= 1.5
Requires:	rhino >= 1.5
Requires:	fop >= 0.20.5
Requires:	xerces-j2 >= 2.5.0
Requires:	xml-commons-apis >= 1.0
Requires:	j2ee-connector
Requires:	ejb
Requires:	servlet24
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
Enterprise Media Beans provide a framework to integrate rich media
data (i.e. audio, video, or image) into applications based on EJB
Entity Beans within the J2EE application development model.
The JOnAS EMB implementation provides:
 - an MEB implementation to manage media persistense and access,
 - a basic MFB implementation to manipulate some basic media formats
(i.e. images),
 - a sample application,
 - an API to add a new way for accessing media (Publisher Plugins API),
 - an API to exend MFB and provide some new features (MFB Plugins API),
 - several easy-to-use plugin samples.

%package api
Group:          Development/Libraries
Summary:        JSR086 (Enterprise Media Beans) apis

%description api
Api for emb-jonas.

%package plugins
Group:          Development/Libraries
Summary:        ObjectWeb EMB plugins

%description plugins
Plugins for emb-jonas.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n emb-jonas

find . -name '*.?ar' | xargs rm

build-jar-repository emb-plugins/mfb-plugins/emb-plugin-mfb-svg-batik/lib \
	batik/batik-awt-util 	\
	batik/batik-bridge 		\
	batik/batik-css 		\
	batik/batik-dom 		\
	batik/batik-ext 		\
	batik/batik-extension 	\
	batik/batik-gui-util 	\
	batik/batik-gvt 		\
	batik/batik-parser 		\
	batik/batik-script 		\
	batik/batik-svg-dom 	\
	batik/batik-svggen 		\
	batik/batik-swing 		\
	batik/batik-transcoder 	\
	batik/batik-util 		\
	batik/batik-xml 		\
	js 						\
	fop 					\
	xerces-j2 				\
	xml-commons-apis

build-jar-repository j2ee-lib \
                     j2ee-connector \
                     ejb \
                     servlet

%build
#export OPT_JAR_LIST="ant/ant-nodeps objectweb-anttask"
ant build doc

%install
rm -rf $RPM_BUILD_ROOT

# main package
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 dist/emb-core.ear \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/emb-core-%{version}.ear
ln -s emb-core-%{version}.ear \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/emb-core.ear

# apis
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/api
for jar in dist/api/*.jar
do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/api/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/api/$base.jar
done

# plugins
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/plugins
for ext in rar war
do
	install -m 644 dist/plugins/emb-plugin-publisher-servlet-jonas.$ext \
    	$RPM_BUILD_ROOT%{_javadir}/%{name}/plugins/emb-plugin-publisher-servlet-jonas-%{version}.$ext
	ln -s emb-plugin-publisher-servlet-jonas-%{version}.$ext \
    	$RPM_BUILD_ROOT%{_javadir}/%{name}/plugins/emb-plugin-publisher-servlet-jonas.$ext
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* \
    $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/emb-core-%{version}.ear
%{_javadir}/%{name}/emb-core.ear

%files api
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}/api
%{_javadir}/%{name}/api/*

%files plugins
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}/plugins
%{_javadir}/%{name}/plugins/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Nov 16 2005 Fernando Nasser <fnasser@redhat.com> 0:0-1jpp_3rh
- Use subpackages for the APIs

* Fri Oct 21 2005 Fernando Nasser <fnasser@redhat.com> 0:0-1jpp_2rh
- Do not require main package to install the subpackages

* Fri Oct 21 2005 Fernando Nasser <fnasser@redhat.com> 0:0-1jpp_1rh
- First Red Hat build

* Thu Oct 06 2005 Deepak Bhole <dbhole@redhat.com> 0:0-1jpp
- Initial build.
